Dokumentacja AlgoJudge0.1
REST reference

Lti Deep Link

Ta strona jest po angielsku

Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
GET/lti/deep-link/{code}

Path Parameters

code*string

Response Body

curl -X GET "https://example.com/lti/deep-link/string"
{  "contextTitle": "string",  "acceptMultiple": true,  "embedded": true,  "locale": "string",  "activities": [    {      "id": "string",      "slug": "string",      "name": "string"    }  ]}
POST/lti/deep-link/{code}/response

Path Parameters

code*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/lti/deep-link/string/response" \  -H "Content-Type: application/json" \  -d '{}'
{  "returnUrl": "string",  "jwt": "string"}